<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        main{
            display: flex;
            flex-direction: row;
        }
        div{
           width: 100px;
           height: 100px;
           margin-left: 5px;
        }
        .a{
            background-color: rgb(186, 235, 218);
            border: 2px solid aquamarine;
            transition: background-color 1s;
        }
        .a:hover{
            background-color: violet;
            
        }
        .b{
            background-color: rgb(233, 83, 113);
            border: 2px solid red;
            opacity: 0.7;
            transition: border 2s;
        }
        .b:hover{
            border: 5px yellow dotted;
            
        }
        .c{
            background-color: rgb(140, 140, 228);
            border: 2px solid blue;
            transition: width 1.5s;
        }
        .c:hover{
            width: 25px;
            
        }
        .d{
            background-color: rgb(185, 165, 134);
            border: 2px solid blanchedalmond;
            transition: height 5.5s;            
        }
        .d:hover{
            height: 300px;
           
        }
        .e{
            background-color: rgb(240, 168, 240);
            border: 2px solid purple;
            transition: border-radius 3s;
        }
        .e:hover{
            border-radius: 50px;
            
        }
        .f{
            background-color: rgb(196, 223, 143);
            border: 2px solid yellowgreen;
            transition: transform 3.5s;
        }
        .f:hover{
            transform: rotate(180deg);
           
        }
        .sufre{
            background-color: rgb(231, 205, 140);
            border: 2px solid goldenrod;
            transition: 
                background-color 2.5s,
                border 3s,
                border-radius 5s,
                transform 6s,
                width 10s,
                height 10s;
        }
        .sufre:hover{
            background-color: springgreen;
            border: 10px dashed orangered;
            border-radius: 80px;
            transform: rotate(360deg);
            width: 400px;
            height: 400px;
           
        }
    </style>
</head>
<body>
    <main>
        <div class="a">A</div>
        <div class="b">B</div>
        <div class="c">C</div>
        <div class="d">D</div>
        <div class="e">E</div>
        <div class="f">F</div>
        <div class="sufre"></div>
    </main>
</body>
</html>